# zsh

## installation

This repository serves as a stow package for my other dotfiles, like [hyprdots](https://git,k4li.de/dotfiles/hyprdots.git).

Stow will, when ecexuted with the right setup (see [here](https://git.k4li.de/dotfiles/hyprdots/raw/branch/main/install.sh)), put the .zshrc at your `home_dir`, as well as the .zsh folder.

The config is split in 4 parts, the [.zshrc](.zshrc), the [.zsh folder](.zsh/), the [themes folder](.zsh/themes/) and the [plugins folder](.zsh/plugins/) .

### .zshrc

Obviously, this sources all files needet and have the most basic modifications, like fzf and oh-my-posh

### .zsh folder

this is the main config folder, the important files are the `.*.zsh` files.

- [**.aliases.zsh**](.zsh/.aliases.zsh)

  > The aliases get configured here. Like the git, or the docker aliases. Also the ls and other aliases are created and configurable here

- [**.plugins.zsh**](.zsh/.plugins.zsh)

  > This sources the plugins with just a normal loop, also you can add or disable plugins as you like, just comment the list or add another plugin to this. Keep in mind, that you will have to clone them properly to the plugins folder, but more on that later.

- [**.defaults.zsh**](.zsh/.defaults.zsh)

  > Here are the plain defaults, which are recommendet by community and mostly found in the world wide web

- [**.installs.zsh**](.zsh/.installs.zsh)

  > This is just the function, for my own install scripts, to be ecexuted faster, with just `_install <package>` and it will automaticall put the url around, and `.sh | sh` to the end, installing the scripts easily.

### themes folder

This is a direct clone for my own repo for the [oh-my-posh](https://git.k4li.de/dotfiles/oh-my-posh.git) themes, to have them locally available (you can also pull them by https, if you disable the other plugins for example and want to delete the folder)

### plugins folder

This is the place, where i clone the related plugins my own. I keep them as submodules, and have to keep them up to date as well. But maybe i try getting a way of auto update to it..
